/// Create unbounded channel function
/// 创建无界通道函数
#[cfg(feature = "crossbeam_channel")]
pub fn unbounded<T>() -> (crossbeam::channel::Sender<T>, crossbeam::channel::Receiver<T>) {
    crossbeam::channel::unbounded()
}

/// Create unbounded channel function - use flume as default implementation
/// 创建无界通道函数 - 使用 flume 作为默认实现
#[cfg(not(feature = "crossbeam_channel"))]
pub fn unbounded<T>() -> (flume::Sender<T>, flume::Receiver<T>) {
    flume::unbounded()
}
